#ifndef _EPHE_HPP_
#define _EPHE_HPP_
#include <wx/string.h>
#include <wx/grid.h>

class wxEpheApp;

class	Ephemeris
{
	public:
		typedef	enum {HELIO,GEO,GEOAPP,EQUA,HOUR,HORIZON} COORD_TYPE;
		typedef enum {DECI,HMS} BOOL_HMS;

		wxEpheFrameOL 	*Frame;

		Observer	Observ;

		Body		Sun;
		Body		Planet[NB_PLAN];
		MoonBody	Moon;

		Nutation	Nutat;

		double	epsilon;	// Obliquity : Terrestrial Equator's Inclination with respect to Ecliptic

		void	InitBodies(void);
		void	Obliquity(void);
		void	Display(wxEpheFrameOL *, BOOL_HMS hms=HMS);

	private:
		void	DisplayCoord(COORD_TYPE, BOOL_HMS);
		void	DisplayCoordLine(wxGrid *, const wxString &, COORD_TYPE, Vector::COORD_POL, BOOL_HMS);
		void	DisplayAPP(void);
		void	DisplayRMS(void);
		void	DisplayHourRMS(Instant &, unsigned char, unsigned char);
		void	DisplayLengthRMS(Instant &, Instant &, unsigned char col);

};
#endif	// _EPHE_HPP_
