#ifndef _OBSERV_HPP_
#define _OBSERV_HPP_
#include <wx/datetime.h>
#include <wx/url.h>
#include <wx/xml/xml.h>
#include <wx/sstream.h>
//#include <wx/fs_inet.h>


using namespace std;

class wxEpheApp;


#define	PARAMETER_NB	6

typedef	struct parameters
{
	wxString	location_name;
	float		location_long;
	float		location_lat;
	int			location_alt;
	long		location_zone;
	float		refraction;
} Param;


class	Observer
{
	enum {TPSLOC, TPSTU};

	public:
		// Data
		Param	param;

		long	zone;
		bool	dst;

		Instant	Inst;		// Dates and Times Definitions

		// Computed Data
		double	eta1,eta2L,eta2C;	// For Rising and Setting Times

		double	InitTime( const wxDateTime& );
//		double	InitTime(void);
//		double	InitTime(unsigned char, unsigned char, int, unsigned char=0, unsigned char=0, unsigned char=0, bool=false);
		void	InitLocation( const wxString&, double, double, int, long );
		bool	LoadLocation(void);
		bool	LoadLocationXML(void);
		bool	SaveLocationXML( const wxString&, const wxString&, const wxString&, int, long );
		bool	DownloadLocationXML( const wxString& );
		void	ChangeDST(bool);

		void	Display(wxEpheFrameOL *) const;
};
#endif	// _OBSERV_HPP_
