#ifndef _WXEPHEAPP_H_
#define _WXEPHEAPP_H_

#include <wx/wx.h>
#include <wx/stdpaths.h>
#include <wx/uilocale.h>

#include "wxEpheForm.h"

#ifdef	HAVE_CONFIG_H
	#include "../config.h"
#elif !defined(PACKAGE_NAME)
	#define	PACKAGE_NAME		"wxEphe"
	#define	PACKAGE_VERSION		"1.7"
	#define	PACKAGE_BUGREPORT	"Jean Philippe EIMER (phil@jpmr.org)\n"
#endif

class wxEpheFrameOL;
class Ephemeris;


class wxEpheApp : public wxApp
{
public:
	wxEpheApp();
	bool OnInit();
	virtual int	OnExit();
	wxLocale*	locale;

private:
	wxEpheFrameOL	*Frame;
	wxDateTime		*Date;
};


class wxEpheFrameOL : public wxEpheFrame
{
public:
	wxEpheFrameOL(wxWindow *parent);
	void	Init(void);

protected:

private:
	wxEpheApp 	*pApp;
	Ephemeris	*pE;

	void	EventNow( wxCommandEvent& event ) override;
	void	EventSet( wxCommandEvent& event ) override;
	void	EventSearch( wxCommandEvent& event ) override;
	void	EventSave( wxCommandEvent& event ) override;
	void	EventReload( wxCommandEvent& event ) override;
	void 	UpdateLocation(void);
	void 	UpdateEphe( const wxDateTime& wxdt );
	void	OnClose( wxCloseEvent& event );
	void	OnTimer( wxTimerEvent& event );
	void	OnCheckBox( wxCommandEvent& event );

    // any class wishing to process wxWidgets events must use this macro
	DECLARE_EVENT_TABLE()
};

#endif /* _WXEPHEAPP_H_ */
